summaryrefslogtreecommitdiffstats
path: root/source/n/uucp
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/uucp')
-rw-r--r--source/n/uucp/policy.h.diff161
-rw-r--r--source/n/uucp/slack-desc19
-rwxr-xr-xsource/n/uucp/uucp.SlackBuild81
3 files changed, 261 insertions, 0 deletions
diff --git a/source/n/uucp/policy.h.diff b/source/n/uucp/policy.h.diff
new file mode 100644
index 000000000..eb500b49c
--- /dev/null
+++ b/source/n/uucp/policy.h.diff
@@ -0,0 +1,161 @@
+--- ./policy.h.orig 2003-05-28 23:08:45.000000000 -0700
++++ ./policy.h 2003-06-05 14:46:32.000000000 -0700
+@@ -297,7 +297,7 @@
+ systems the lock files are placed in /etc/locks. On some they are
+ placed in /usr/spool/locks. On the NeXT they are placed in
+ /usr/spool/uucp/LCK. */
+-/* #define LOCKDIR "/usr/spool/uucp" */
++#define LOCKDIR "/var/lock"
+ /* #define LOCKDIR "/etc/locks" */
+ /* #define LOCKDIR "/usr/spool/locks" */
+ /* #define LOCKDIR "/usr/spool/uucp/LCK" */
+@@ -349,7 +349,7 @@
+ The format for QNX lock files was made up just for Taylor UUCP.
+ QNX doesn't come with a version of UUCP. */
+ #define HAVE_V2_LOCKFILES 0
+-#define HAVE_HDB_LOCKFILES 0
++#define HAVE_HDB_LOCKFILES 1
+ #define HAVE_SCO_LOCKFILES 0
+ #define HAVE_SVR4_LOCKFILES 0
+ #define HAVE_SEQUENT_LOCKFILES 0
+@@ -467,7 +467,7 @@
+ configuration files will be read first, followed by the V2
+ configuration files, followed by the HDB configuration files. */
+ #define HAVE_V2_CONFIG 0
+-#define HAVE_HDB_CONFIG 0
++#define HAVE_HDB_CONFIG 1
+
+ /* Exactly one of the following macros must be set to 1. The exact
+ format of the spool directories is explained in unix/spool.c.
+@@ -485,10 +485,10 @@
+ #define SPOOLDIR_V2 0
+ #define SPOOLDIR_BSD42 0
+ #define SPOOLDIR_BSD43 0
+-#define SPOOLDIR_HDB 0
++#define SPOOLDIR_HDB 1
+ #define SPOOLDIR_ULTRIX 0
+ #define SPOOLDIR_SVR4 0
+-#define SPOOLDIR_TAYLOR 1
++#define SPOOLDIR_TAYLOR 0
+
+ /* The status file generated by UUCP can use either the traditional
+ HDB upper case comments or new easier to read lower case comments.
+@@ -536,9 +536,9 @@
+ have shell scripts which expect the files to have a particular
+ format. If you have none, choose whichever format you find more
+ appealing. */
+-#define HAVE_TAYLOR_LOGGING 1
++#define HAVE_TAYLOR_LOGGING 0
+ #define HAVE_V2_LOGGING 0
+-#define HAVE_HDB_LOGGING 0
++#define HAVE_HDB_LOGGING 1
+
+ /* If QNX_LOG_NODE_ID is set to 1, log messages will include the QNX
+ node ID just after the process ID. This is a policy decision
+@@ -567,21 +567,21 @@
+ exist when a new message is written out, it will be created.
+ Setting CLOSE_LOGFILES to 1 will obviously require slightly more
+ processing time. */
+-#define CLOSE_LOGFILES 0
++#define CLOSE_LOGFILES 1
+
+ /* The name of the default spool directory. If HAVE_TAYLOR_CONFIG is
+ set to 1, this may be overridden by the ``spool'' command in the
+ configuration file. */
+-#define SPOOLDIR "/usr/spool/uucp"
+-/* #define SPOOLDIR "/var/spool/uucp" */
++/* #define SPOOLDIR "/usr/spool/uucp" */
++#define SPOOLDIR "/var/spool/uucp"
+
+ /* The name of the default public directory. If HAVE_TAYLOR_CONFIG is
+ set to 1, this may be overridden by the ``pubdir'' command in the
+ configuration file. Also, a particular system may be given a
+ specific public directory by using the ``pubdir'' command in the
+ system file. */
+-#define PUBDIR "/usr/spool/uucppublic"
+-/* #define PUBDIR "/var/spool/uucppublic" */
++/* #define PUBDIR "/usr/spool/uucppublic" */
++#define PUBDIR "/var/spool/uucppublic"
+
+ /* The default command path. This is a space separated list of
+ directories. Remote command executions requested by uux are looked
+@@ -628,7 +628,7 @@
+ ``remote-receive'')
+ the command will be rejected. By default, any argument is
+ permitted. */
+-#define ALLOW_FILENAME_ARGUMENTS 1
++#define ALLOW_FILENAME_ARGUMENTS 0
+
+ /* If you set FSYNC_ON_CLOSE to 1, all output files will be forced out
+ to disk using the fsync system call when they are closed. This can
+@@ -644,23 +644,23 @@
+ /* The default log file when using HAVE_TAYLOR_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``logfile''
+ command in the configuration file. */
+-#define LOGFILE "/usr/spool/uucp/Log"
++/* #define LOGFILE "/usr/spool/uucp/Log" */
+ /* #define LOGFILE "/var/spool/uucp/Log" */
+-/* #define LOGFILE "/var/log/uucp/Log" */
++#define LOGFILE "/var/log/uucp/Log"
+
+ /* The default statistics file when using HAVE_TAYLOR_LOGGING. When
+ using HAVE_TAYLOR_CONFIG, this may be overridden by the
+ ``statfile'' command in the configuration file. */
+-#define STATFILE "/usr/spool/uucp/Stats"
++/* #define STATFILE "/usr/spool/uucp/Stats" */
+ /* #define STATFILE "/var/spool/uucp/Stats" */
+-/* #define STATFILE "/var/log/uucp/Stats" */
++#define STATFILE "/var/log/uucp/Stats"
+
+ /* The default debugging file when using HAVE_TAYLOR_LOGGING. When
+ using HAVE_TAYLOR_CONFIG, this may be overridden by the
+ ``debugfile'' command in the configuration file. */
+-#define DEBUGFILE "/usr/spool/uucp/Debug"
++/* #define DEBUGFILE "/usr/spool/uucp/Debug" */
+ /* #define DEBUGFILE "/var/spool/uucp/Debug" */
+-/* #define DEBUGFILE "/var/log/uucp/Debug" */
++#define DEBUGFILE "/var/log/uucp/Debug"
+
+ #endif /* HAVE_TAYLOR_LOGGING */
+
+@@ -669,17 +669,17 @@
+ /* The default log file when using HAVE_V2_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``logfile''
+ command in the configuration file. */
+-#define LOGFILE "/usr/spool/uucp/LOGFILE"
++#define LOGFILE "/var/log/uucp/LOGFILE"
+
+ /* The default statistics file when using HAVE_V2_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``statfile''
+ command in the configuration file. */
+-#define STATFILE "/usr/spool/uucp/SYSLOG"
++#define STATFILE "/var/log/uucp/SYSLOG"
+
+ /* The default debugging file when using HAVE_V2_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``debugfile''
+ command in the configuration file. */
+-#define DEBUGFILE "/usr/spool/uucp/DEBUG"
++#define DEBUGFILE "/var/log/uucp/DEBUG"
+
+ #endif /* HAVE_V2_LOGGING */
+
+@@ -692,16 +692,16 @@
+ be replaced by the system name (if there is no appropriate system,
+ "ANY" will be used). No other '%' character may appear in the
+ string. */
+-#define LOGFILE "/usr/spool/uucp/.Log/%s/%s"
++#define LOGFILE "/var/log/uucp/.Log/%s/%s"
+
+ /* The default statistics file when using HAVE_HDB_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``statfile''
+ command in the configuration file. */
+-#define STATFILE "/usr/spool/uucp/.Admin/xferstats"
++#define STATFILE "/var/log/uucp/.Admin/xferstats"
+
+ /* The default debugging file when using HAVE_HDB_LOGGING. When using
+ HAVE_TAYLOR_CONFIG, this may be overridden by the ``debugfile''
+ command in the configuration file. */
+-#define DEBUGFILE "/usr/spool/uucp/.Admin/audit.local"
++#define DEBUGFILE "/var/log/uucp/.Admin/audit.local"
+
+ #endif /* HAVE_HDB_LOGGING */
diff --git a/source/n/uucp/slack-desc b/source/n/uucp/slack-desc
new file mode 100644
index 000000000..a54bccae4
--- /dev/null
+++ b/source/n/uucp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+uucp: uucp (Taylor UUCP)
+uucp:
+uucp: Ian Taylor's Unix to Unix copy: mail and news over modem lines.
+uucp: This is the standard UUCP package of the Free Software Foundation.
+uucp:
+uucp: Configured to use HoneyDanBer and/or Taylor configuration files.
+uucp:
+uucp:
+uucp:
+uucp:
+uucp:
diff --git a/source/n/uucp/uucp.SlackBuild b/source/n/uucp/uucp.SlackBuild
new file mode 100755
index 000000000..431bfd12b
--- /dev/null
+++ b/source/n/uucp/uucp.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=1.07
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-uucp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_uucp.tar.gz
+
+cd $TMP
+rm -rf uucp-$VERSION
+tar xvf $CWD/uucp-$VERSION.tar.gz || exit 1
+cd uucp-$VERSION || exit 1
+zcat $CWD/policy.h.diff.gz | patch -p1 --verbose || exit 1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-oldconfigdir=/etc/uucp/oldconfig \
+ --with-newconfigdir=/etc/uucp
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+strip --strip-unneeded $PKG/usr/bin/* $PKG/usr/sbin/*
+
+gzip -9 $PKG/usr/man/man?/*
+gzip -9 $PKG/usr/info/*
+rm -f $PKG/usr/info/dir.gz
+
+# Setuid uucp binaries may only be run by members of the uucp group:
+( cd $PKG/usr/bin
+ chgrp uucp cu uucp uuname uustat uux
+ chmod 4554 cu uucp uuname uustat uux
+ cd ../sbin
+ chgrp uucp uucico uuxqt
+ chmod 4554 uucico uuxqt
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/uucp-$VERSION-$ARCH-$BUILD.txz
+